跳转至

获取智能合约交易列表

请求地址

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/contract/orders
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/contract/orders

参数

路径参数

字段类型描述
b_id
必填
String业务线ID
wallet_code
必填
String钱包ID

查询参数

字段类型描述
chain
可选
StringCactus链名称
允许值:参考支持的代币中的网络缩写列
keyword
可选
String关键字(可根据订单ID、提币订单制单人/申请人、合约地址)
sort_by_time
可选
String按时间排序(DESC、ASC)
默认值:DESC - 按创建时间倒序排序
status
可选
String订单状态
start_time
可选
Integer过滤订单起始时间戳
end_time
可选
Integer过滤订单结束时间戳
limit
可选
Integer限制条数,默认为10
offset
可选
Integer偏移量,默认为0

响应

响应体

字段类型描述
codeInteger响应代码(0 = 成功)
messageString响应消息
successfulBoolean请求是否成功
dataObject响应数据(详见下方 data 对象详情)

data (对象)

字段类型描述
offsetInteger偏移量
limitInteger限制条数
totalInteger记录总数
listObject[]历史智能合约交易列表(详见下方 list 对象详情)

list (对象)

字段类型描述
domain_idString域标识符
typeString交易类型
order_wallet_info_modelObject钱包信息模型
wallet_codeString钱包编号
coin_nameString币种/代币名称
wallet_nameString钱包名称
connect_typeString连接类型
time_stampLong订单创建时间戳
block_hashString区块哈希
miner_feeDecimal执行合约的矿工费
miner_fee_strString矿工费(字符串格式)
order_noString订单号
serial_noString序列号
contract_addressString合约地址
contract_address_descString合约地址描述
contract_address_labelString合约地址标签
from_addressString来源地址
contract_functionString合约函数
contract_function_signatureString合约函数签名
gas_priceDecimalGas价格
gas_price_strStringGas价格(字符串格式)
max_fee_per_gasDecimal最大费用
max_fee_per_gas_strString最大费用(字符串格式)
max_priority_fee_per_gasDecimal优先费用
max_priority_fee_per_gas_strString优先费用(字符串格式)
gas_limitDecimalGas限制
gas_limit_strStringGas限制(字符串格式)
gas_usedDecimal已使用Gas
gas_used_strString已使用Gas(字符串格式)
contract_dataString合约数据
nonceString交易 nonce
applicantString订单制单人/申请人
statusString订单状态
允许值: FINISHED, FAILED, PROCESSING, ORDER_SEND_OUT, COMPLETED_FAILED, CANCELED, INVALID
ext_statusString外部状态
inner_statusString内部状态
amountDecimal提币金额
amount_strString提币金额(字符串格式)
tx_idString交易哈希
descriptionString订单描述
deposit_transObject[]入账交易(详见下方 deposit_trans / withdraw_trans 对象详情)
withdraw_transObject[]出账交易(详见下方 deposit_trans / withdraw_trans 对象详情)
wallet_idInteger钱包ID
chainString链名称
chain_idString链ID
payloadString原始请求负载
signed_dataString签名后的交易数据
contract_instructionsString合约指令
bnameString业务线名称
bidString业务线ID

deposit_trans / withdraw_trans (对象)

字段类型描述
amountDecimal金额
amount_strString金额(字符串格式)
coin_nameString币种/代币类型

响应示例

{
    "code": 0,
    "message": "",
    "data": {
        "offset": 0,
        "limit": 10,
        "list": [
            {
                "domain_id": "bff7b979ff84443fb461a4f72f8fea7a",
                "type": "API_DAPP_TRANSACTION",
                "order_wallet_info_model": null,
                "wallet_code": "DeFiEVM8600875528",
                "coin_name": null,
                "wallet_name": "",
                "connect_type": null,
                "time_stamp": 1681065229000,
                "block_hash": "",
                "miner_fee": 3294023120852006,
                "miner_fee_str": "3294023120852006",
                "order_no": "D996885000271",
                "serial_no": "G4BXC0MLQ1D996885000271",
                "contract_address": "0xa3b3E16CFe7BB04ad379af63De9Ec1d1bc723C11",
                "contract_address_desc": null,
                "contract_address_label": null,
                "from_address": null,
                "contract_function": "0xa9059cbb",
                "contract_function_signature": "0xa9059cbb",
                "gas_price": 71444565151,
                "gas_price_str": "71444565151",
                "max_fee_per_gas": null,
                "max_fee_per_gas_str": null,
                "max_priority_fee_per_gas": null,
                "max_priority_fee_per_gas_str": null,
                "gas_limit": 90000,
                "gas_limit_str": "90000",
                "gas_used": null,
                "gas_used_str": null,
                "contract_data": "0xa9059cbb000000000000000000000000cee33165696af07781f4cc616f4563c2f8c6b1300000000000000000000000000000000000000000000000000000000000000064",
                "nonce": "0",
                "applicant": "test@abc.com",
                "status": "FINISHED",
                "ext_status": null,
                "inner_status": "FINISHED",
                "amount": 0,
                "amount_str": "0",
                "tx_id": "0xaa0b899af3e2be34c89636e3f9f5829d15a197dd8bb0df58331297ec5d191c43",
                "description": "",
                "deposit_trans": [
                    {
                        "amount": 100,
                        "amount_str": "100",
                        "coin_name": "USDTERC"
                    }
                ],
                "withdraw_trans": [
                    {
                        "amount": 100,
                        "amount_str": "100",
                        "coin_name": "USDTERC"
                    }
                ],
                "wallet_id": 18152,
                "chain": null,
                "chain_id": "5",
                "payload": null,
                "signed_data": null,
                "contract_instructions": null,
                "bname": null,
                "bid": "a3de9b7c703e4762974a1df7aafe724f"
            }
        ],
        "total": 1
    },
    "successful": true
}